
Infrastructure - Task #2223

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Remove obsoletedBy field from SOLR index

2012-01-15 15:17 - Dave Vieglais

Status: Closed Start date: 2012-01-15

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Obsoleted objects are removed from the index, so no objects should be present in the index that have the obsoletedBy field set

(since they were obsoleted and removed).

History

#1 - 2012-01-17 19:44 - Skye Roseboom

- Status changed from New to In Progress

working in conjunction with task #2184

#2 - 2012-01-20 14:36 - Skye Roseboom

- Status changed from In Progress to Closed

Removed obsoleted from the index solr schema.  Removed xpath rule/expression for deriving data from system metadata xml file.
